Skip to main content
GET
Fetch one custom detection type

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Path Parameters

id
string
required

Identifier, a UUID

Response

The custom detection type

created_at
string
required
default_confidence
string
required
default_severity
string
required
description
string
required
detection_type
string
required
group
string
required
id
string
required
name
string
required
org_id
string
required
patterns
object[]
required
updated_at
string
required